Subject: FW: Case sensitivity in filenames
From: [email-masked] (Scandora, Anthony E., Jr.)

5 Jan 1999 05:35:29 -0800
Message-ID: <408C59EF36D6D111ACF500A0C92DEA1981A213.cygnus.gnu-win32@cmtnts3>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="windows-1252"
To: "'GNU-Win32'" <[email-masked]>

This is undesirable behavior for me and at least one other reader of this
list who said, "I view this as an
essential aspect of ANY tool running under Windows. (Unix compatibility or
no).  Regrettably, I think this blows cygwin out of the water for me, yet
again..."  Although this does not blow cygwin out of the water for me, it
does make it more difficult to use.  Using UNIX-style regexp parsing is not
as important to me as is supporting the host filesystem correctly.  For
Windows, that means case-insensitive lookups.  If I type "dir AuTo*.bAt" at
a C: prompt, I get AUTOEXEC.BAT.  I expect the same from ls or any other
wildcard lookup program.  If regexp can't do it, why not create a ciregexp
that does case insensitive comparisons?

Tony Scandora, Argonne National Lab, 630-252-7541
[email-masked]

> -----Original Message-----
> From: Bob McGowan [mailto:[email-masked]]
> Sent: Tuesday, December 29, 1998 1:39 PM
> To: [email-masked]
> Subject: Re: Case sensitivity in filenames
> 
> 
> Paul,
> 
> This is the same behavior as in b19.  If you type in the full 
> name (no wildcards), then there is no case sensitivity in the 
> name (ie abc.zip and ABC.ZIP are treated the same).  When you 
> use wildcards, then the regexp parsing, which is based on 
> UNIX code, IS case sensitive, since it has to read the 
> directory contents and then do compares.  In the full 
> filename case, the name is passed to the underlying FS code, 
> which doesn't care about case.
> 
> Bob McGowan
> bob dot mcgowan at usa dot net
> 
> > I can't believe that this isn't a FAQ, but I've looked and 
> can't find
> > it. I've just installed cygwin B20.1, and it appears that 
> the commands
> > are treating files case-sensitively. In particular, if I do (from
> > COMMAND.COM) "ls *.zip" I get a list of zip files in the current
> > directory. But if I do "ls *.ZIP" I get nothing! Now, I 
> understand that
> > Unix filenames are case sensitive, but Windows ones aren't and so I
> > would expect the command to produce the same results in 
> both cases (or
> > at least for there to be an option to make this happen). 
> But it appears
> > not...
> > 
> > Can anybody suggest what I'm missing? My CYGWIN environment 
> variable is
> > not set at all. Should I set something in it? The 
> documentation doesn't
> > show anything which looks relevant.
> > 
> > Thanks,
> > Paul Moore
> 
> -----
> See the original message at 
> http://www.egroups.com/list/gnu-win32/?start=10270
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".